
-- why do lg.polygon('fill',ss) and lg.polygon('line',ss) draw different shapes?

function love.load()

	local lg=love.graphics

	--test shape
	cx,cy=400,300

	s={
		-200,-200,
		-100,-100,
		-100,0,
		-200,100,
		200,200,
		200,150,
		100,100,
		200,-200
	}
	
	function testShape(s,cx,cy)		
		
		local ss={}
		
		for i=1,#s do
			local c
			if i/2==math.floor(i/2) then c=cy else c=cx end
			ss[i]=s[i]+c
		end
		
		lg.setColor(255,100,100)
		lg.polygon('fill',ss)
		
		lg.setColor(255,255,255)
		lg.setLineWidth(2)
		lg.polygon('line',ss)
		
		lg.setColor(255,255,155)
		
		---[[
		for i=1,#ss,2 do
			if i==#ss-1 then j=1 else j=i+2 end
			--lg.line(s[i]+cx,s[i+1]+cy,s[j]+cx,s[j+1]+cy)
			lg.line(ss[i],ss[i+1],ss[j],ss[j+1])
			lg.print((i+1)/2,ss[i],ss[i+1])
		end
		--]]
		lg.setColor(255,255,255)
	
		
		ss=20
		lg.line(cx-ss,cy,cx+ss,cy)
		lg.line(cx,cy-ss,cx,cy+ss)
		lg.print(cx..", "..cy,cx,cy)
	
	end

		
end

function love.update(dt)

	--move shape
	local m=dt*100
	
	local lkd=love.keyboard.isDown
	
	if lkd('up') then cy=cy-m end
	if lkd('down') then cy=cy+m end
	if lkd('left') then cx=cx-m end
	if lkd('right') then cx=cx+m end

end

function love.draw()
	testShape(s,cx,cy)
	love.graphics.print('arrow keys to move shape;\n note differencebetween "line" and "fill" mode for drawing polygon;\n yellow lines are a custom polygon function designed to double check the built in polygon function',0,0)
end